if status is-interactive
    # Commands to run in interactive sessions can go here
end

if status is-login
    if test -z "$DISPLAY" -a "$XDG_VTNR" = 1
        exec startx -- -keeptty
    end
end

set -gx EDITOR nvim
set -gx BROWSER firefox

set -gx XDG_CONFIG_HOME $HOME/.config
set -gx XDG_DATA_HOME $HOME/.local/share
set -gx XDG_CACHE_HOME $HOME/.cache
set -gx XDG_STATE_HOME $HOME/.local/state

set -gx GTK_THEME Adwaita:dark
set -gx LC_COLLATE C
#export GNUPGHOME="$XDG_DATA_HOME"/gnupg
set -gx LESSHISTFILE $XDG_STATE_HOME/less/history
set -gx _JAVA_OPTIONS -Djava.util.prefs.userRoot=$XDG_CONFIG_HOME/java

set -gx LESS -R
set -gx LESS_TERMCAP_mb "$(printf '%b' '[1;31m')"
set -gx LESS_TERMCAP_md "$(printf '%b' '[1;36m')"
set -gx LESS_TERMCAP_me "$(printf '%b' '[0m')"
set -gx LESS_TERMCAP_so "$(printf '%b' '[01;44;33m')"
set -gx LESS_TERMCAP_se "$(printf '%b' '[0m')"
set -gx LESS_TERMCAP_us "$(printf '%b' '[1;32m')"
set -gx LESS_TERMCAP_ue "$(printf '%b' '[0m')"
set -gx LESSOPEN "| /usr/bin/highlight -O ansi %s 2>/dev/null"

alias cp="cp -iv"
alias mv="mv -iv"
alias rm="rm -vI"
alias bc="bc -ql"
alias rsync="rsync -vrPlu"
alias mkd="mkdir -pv"
alias yt="yt-dlp --embed-metadata -i"
alias yta="yt -x -f bestaudio/best"
alias ytt="yt --skip-download --write-thumbnail"
alias df="df -h"
alias free="free -m"
alias jctl="journalctl -p 3 -xb"
alias ffmpeg="ffmpeg -hide_banner"
alias rickroll="curl -s -L https://raw.githubusercontent.com/keroserene/rickrollrc/master/roll.sh | bash"
alias c="clear"
alias clean="pacman -Qq | fzf --multi --reverse --preview 'pacman -Qi {1}' | xargs -ro sudo pacman -Rns"

alias grep="grep --color=auto"
alias diff="diff --color=auto"
alias ccat="highlight --out-format=ansi"
alias ip="ip -color=auto"
alias ls="eza -1la --git --group-directories-first"

alias enablemon="xrandr --output eDP --off --output HDMI-A-0 --auto"
alias disablemon="xrandr --output HDMI-A-0 --off --output eDP --auto"
alias perf="sudo cpupower frequency-set -g ondemand"
alias normal="sudo cpupower frequency-set -g schedutil"

cat ~/.cache/wal/sequences
